package com.mortals.xhx.module.device.model;

import java.util.List;
/**
 * 设备前端模块部署查询对象
 *
 * @author zxfei
 * @date 2023-08-18
 */
public class DeviceModuleDistributeQuery extends DeviceModuleDistributeEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 产品Id */
    private Long productIdStart;

    /** 结束 产品Id */
    private Long productIdEnd;

    /** 增加 产品Id */
    private Long productIdIncrement;

    /** 产品Id列表 */
    private List <Long> productIdList;

    /** 产品Id排除列表 */
    private List <Long> productIdNotList;

    /** 产品编码 */
    private List<String> productCodeList;

    /** 产品编码排除列表 */
    private List <String> productCodeNotList;
    /** 产品名称 */
    private List<String> productNameList;

    /** 产品名称排除列表 */
    private List <String> productNameNotList;
    /** 分辨率 */
    private List<String> imageResolutionList;

    /** 分辨率排除列表 */
    private List <String> imageResolutionNotList;
    /** 分辨率值 */
    private List<String> imageResolutionValueList;

    /** 分辨率值排除列表 */
    private List <String> imageResolutionValueNotList;
    /** 文件相对路径地址 */
    private List<String> filePathList;

    /** 文件相对路径地址排除列表 */
    private List <String> filePathNotList;
    /** 文件部署路径地址 */
    private List<String> distributeFilePathList;

    /** 文件部署路径地址排除列表 */
    private List <String> distributeFilePathNotList;
    /** 版本号 */
    private List<String> versionList;

    /** 版本号排除列表 */
    private List <String> versionNotList;
    /** 开始 是否部署(0.否，1.是) */
    private Integer distributeStart;

    /** 结束 是否部署(0.否，1.是) */
    private Integer distributeEnd;

    /** 增加 是否部署(0.否，1.是) */
    private Integer distributeIncrement;

    /** 是否部署(0.否，1.是)列表 */
    private List <Integer> distributeList;

    /** 是否部署(0.否，1.是)排除列表 */
    private List <Integer> distributeNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 站点Id，来源基础服务平台 */
    private Long siteIdStart;

    /** 结束 站点Id，来源基础服务平台 */
    private Long siteIdEnd;

    /** 增加 站点Id，来源基础服务平台 */
    private Long siteIdIncrement;

    /** 站点Id，来源基础服务平台列表 */
    private List <Long> siteIdList;

    /** 站点Id，来源基础服务平台排除列表 */
    private List <Long> siteIdNotList;

    /** 站点编号，来源基础服务平台 */
    private List<String> siteCodeList;

    /** 站点编号，来源基础服务平台排除列表 */
    private List <String> siteCodeNotList;
    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceModuleDistributeQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceModuleDistributeQuery> andConditionList;

    public DeviceModuleDistributeQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 产品Id
     * @return productIdStart
     */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
     * 设置 开始 产品Id
     * @param productIdStart
     */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
     * 获取 结束 产品Id
     * @return $productIdEnd
     */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
     * 设置 结束 产品Id
     * @param productIdEnd
     */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
     * 获取 增加 产品Id
     * @return productIdIncrement
     */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
     * 设置 增加 产品Id
     * @param productIdIncrement
     */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
     * 获取 产品Id
     * @return productIdList
     */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
     * 设置 产品Id
     * @param productIdList
     */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
     * 获取 产品Id
     * @return productIdNotList
     */
    public List<Long> getProductIdNotList(){
        return this.productIdNotList;
    }

    /**
     * 设置 产品Id
     * @param productIdNotList
     */
    public void setProductIdNotList(List<Long> productIdNotList){
        this.productIdNotList = productIdNotList;
    }


    /**
     * 获取 产品编码
     * @return productCodeList
     */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
     * 设置 产品编码
     * @param productCodeList
     */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
     * 获取 产品编码
     * @return productCodeNotList
     */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
     * 设置 产品编码
     * @param productCodeNotList
     */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
     * 获取 产品名称
     * @return productNameList
     */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
     * 设置 产品名称
     * @param productNameList
     */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }

    /**
     * 获取 产品名称
     * @return productNameNotList
     */
    public List<String> getProductNameNotList(){
        return this.productNameNotList;
    }

    /**
     * 设置 产品名称
     * @param productNameNotList
     */
    public void setProductNameNotList(List<String> productNameNotList){
        this.productNameNotList = productNameNotList;
    }

    /**
     * 获取 分辨率
     * @return imageResolutionList
     */
    public List<String> getImageResolutionList(){
        return this.imageResolutionList;
    }

    /**
     * 设置 分辨率
     * @param imageResolutionList
     */
    public void setImageResolutionList(List<String> imageResolutionList){
        this.imageResolutionList = imageResolutionList;
    }

    /**
     * 获取 分辨率
     * @return imageResolutionNotList
     */
    public List<String> getImageResolutionNotList(){
        return this.imageResolutionNotList;
    }

    /**
     * 设置 分辨率
     * @param imageResolutionNotList
     */
    public void setImageResolutionNotList(List<String> imageResolutionNotList){
        this.imageResolutionNotList = imageResolutionNotList;
    }

    /**
     * 获取 分辨率值
     * @return imageResolutionValueList
     */
    public List<String> getImageResolutionValueList(){
        return this.imageResolutionValueList;
    }

    /**
     * 设置 分辨率值
     * @param imageResolutionValueList
     */
    public void setImageResolutionValueList(List<String> imageResolutionValueList){
        this.imageResolutionValueList = imageResolutionValueList;
    }

    /**
     * 获取 分辨率值
     * @return imageResolutionValueNotList
     */
    public List<String> getImageResolutionValueNotList(){
        return this.imageResolutionValueNotList;
    }

    /**
     * 设置 分辨率值
     * @param imageResolutionValueNotList
     */
    public void setImageResolutionValueNotList(List<String> imageResolutionValueNotList){
        this.imageResolutionValueNotList = imageResolutionValueNotList;
    }

    /**
     * 获取 文件相对路径地址
     * @return filePathList
     */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
     * 设置 文件相对路径地址
     * @param filePathList
     */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }

    /**
     * 获取 文件相对路径地址
     * @return filePathNotList
     */
    public List<String> getFilePathNotList(){
        return this.filePathNotList;
    }

    /**
     * 设置 文件相对路径地址
     * @param filePathNotList
     */
    public void setFilePathNotList(List<String> filePathNotList){
        this.filePathNotList = filePathNotList;
    }

    /**
     * 获取 文件部署路径地址
     * @return distributeFilePathList
     */
    public List<String> getDistributeFilePathList(){
        return this.distributeFilePathList;
    }

    /**
     * 设置 文件部署路径地址
     * @param distributeFilePathList
     */
    public void setDistributeFilePathList(List<String> distributeFilePathList){
        this.distributeFilePathList = distributeFilePathList;
    }

    /**
     * 获取 文件部署路径地址
     * @return distributeFilePathNotList
     */
    public List<String> getDistributeFilePathNotList(){
        return this.distributeFilePathNotList;
    }

    /**
     * 设置 文件部署路径地址
     * @param distributeFilePathNotList
     */
    public void setDistributeFilePathNotList(List<String> distributeFilePathNotList){
        this.distributeFilePathNotList = distributeFilePathNotList;
    }

    /**
     * 获取 版本号
     * @return versionList
     */
    public List<String> getVersionList(){
        return this.versionList;
    }

    /**
     * 设置 版本号
     * @param versionList
     */
    public void setVersionList(List<String> versionList){
        this.versionList = versionList;
    }

    /**
     * 获取 版本号
     * @return versionNotList
     */
    public List<String> getVersionNotList(){
        return this.versionNotList;
    }

    /**
     * 设置 版本号
     * @param versionNotList
     */
    public void setVersionNotList(List<String> versionNotList){
        this.versionNotList = versionNotList;
    }

    /**
     * 获取 开始 是否部署(0.否，1.是)
     * @return distributeStart
     */
    public Integer getDistributeStart(){
        return this.distributeStart;
    }

    /**
     * 设置 开始 是否部署(0.否，1.是)
     * @param distributeStart
     */
    public void setDistributeStart(Integer distributeStart){
        this.distributeStart = distributeStart;
    }

    /**
     * 获取 结束 是否部署(0.否，1.是)
     * @return $distributeEnd
     */
    public Integer getDistributeEnd(){
        return this.distributeEnd;
    }

    /**
     * 设置 结束 是否部署(0.否，1.是)
     * @param distributeEnd
     */
    public void setDistributeEnd(Integer distributeEnd){
        this.distributeEnd = distributeEnd;
    }

    /**
     * 获取 增加 是否部署(0.否，1.是)
     * @return distributeIncrement
     */
    public Integer getDistributeIncrement(){
        return this.distributeIncrement;
    }

    /**
     * 设置 增加 是否部署(0.否，1.是)
     * @param distributeIncrement
     */
    public void setDistributeIncrement(Integer distributeIncrement){
        this.distributeIncrement = distributeIncrement;
    }

    /**
     * 获取 是否部署(0.否，1.是)
     * @return distributeList
     */
    public List<Integer> getDistributeList(){
        return this.distributeList;
    }

    /**
     * 设置 是否部署(0.否，1.是)
     * @param distributeList
     */
    public void setDistributeList(List<Integer> distributeList){
        this.distributeList = distributeList;
    }

    /**
     * 获取 是否部署(0.否，1.是)
     * @return distributeNotList
     */
    public List<Integer> getDistributeNotList(){
        return this.distributeNotList;
    }

    /**
     * 设置 是否部署(0.否，1.是)
     * @param distributeNotList
     */
    public void setDistributeNotList(List<Integer> distributeNotList){
        this.distributeNotList = distributeNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 站点Id，来源基础服务平台
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id，来源基础服务平台
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id，来源基础服务平台
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id，来源基础服务平台
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id，来源基础服务平台
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id，来源基础服务平台
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id，来源基础服务平台
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id，来源基础服务平台
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点编号，来源基础服务平台
     * @return siteCodeList
     */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCodeList
     */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
     * 获取 站点编号，来源基础服务平台
     * @return siteCodeNotList
     */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCodeNotList
     */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DeviceModuleDistributeQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DeviceModuleDistributeQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DeviceModuleDistributeQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DeviceModuleDistributeQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DeviceModuleDistributeQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public DeviceModuleDistributeQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  产品Id
     * @param productId
     */
    public DeviceModuleDistributeQuery productId(Long productId){
        setProductId(productId);
        return this;
    }

    /**
     * 设置 开始 产品Id
     * @param productIdStart
     */
    public DeviceModuleDistributeQuery productIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
        return this;
    }

    /**
     * 设置 结束 产品Id
     * @param productIdEnd
     */
    public DeviceModuleDistributeQuery productIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
        return this;
    }

    /**
     * 设置 增加 产品Id
     * @param productIdIncrement
     */
    public DeviceModuleDistributeQuery productIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
        return this;
    }

    /**
     * 设置 产品Id
     * @param productIdList
     */
    public DeviceModuleDistributeQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
        return this;
    }

    /**
     * 设置 产品Id
     * @param productIdNotList
     */
    public DeviceModuleDistributeQuery productIdNotList(List<Long> productIdNotList){
        this.productIdNotList = productIdNotList;
        return this;
    }


    /**
     * 设置 产品编码
     * @param productCode
     */
    public DeviceModuleDistributeQuery productCode(String productCode){
        setProductCode(productCode);
        return this;
    }

    /**
     * 设置 产品编码
     * @param productCodeList
     */
    public DeviceModuleDistributeQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
        return this;
    }


    /**
     * 设置 产品名称
     * @param productName
     */
    public DeviceModuleDistributeQuery productName(String productName){
        setProductName(productName);
        return this;
    }

    /**
     * 设置 产品名称
     * @param productNameList
     */
    public DeviceModuleDistributeQuery productNameList(List<String> productNameList){
        this.productNameList = productNameList;
        return this;
    }


    /**
     * 设置 分辨率
     * @param imageResolution
     */
    public DeviceModuleDistributeQuery imageResolution(String imageResolution){
        setImageResolution(imageResolution);
        return this;
    }

    /**
     * 设置 分辨率
     * @param imageResolutionList
     */
    public DeviceModuleDistributeQuery imageResolutionList(List<String> imageResolutionList){
        this.imageResolutionList = imageResolutionList;
        return this;
    }


    /**
     * 设置 分辨率值
     * @param imageResolutionValue
     */
    public DeviceModuleDistributeQuery imageResolutionValue(String imageResolutionValue){
        setImageResolutionValue(imageResolutionValue);
        return this;
    }

    /**
     * 设置 分辨率值
     * @param imageResolutionValueList
     */
    public DeviceModuleDistributeQuery imageResolutionValueList(List<String> imageResolutionValueList){
        this.imageResolutionValueList = imageResolutionValueList;
        return this;
    }


    /**
     * 设置 文件相对路径地址
     * @param filePath
     */
    public DeviceModuleDistributeQuery filePath(String filePath){
        setFilePath(filePath);
        return this;
    }

    /**
     * 设置 文件相对路径地址
     * @param filePathList
     */
    public DeviceModuleDistributeQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
        return this;
    }


    /**
     * 设置 文件部署路径地址
     * @param distributeFilePath
     */
    public DeviceModuleDistributeQuery distributeFilePath(String distributeFilePath){
        setDistributeFilePath(distributeFilePath);
        return this;
    }

    /**
     * 设置 文件部署路径地址
     * @param distributeFilePathList
     */
    public DeviceModuleDistributeQuery distributeFilePathList(List<String> distributeFilePathList){
        this.distributeFilePathList = distributeFilePathList;
        return this;
    }


    /**
     * 设置 版本号
     * @param version
     */
    public DeviceModuleDistributeQuery version(String version){
        setVersion(version);
        return this;
    }

    /**
     * 设置 版本号
     * @param versionList
     */
    public DeviceModuleDistributeQuery versionList(List<String> versionList){
        this.versionList = versionList;
        return this;
    }

    /**
     * 设置  是否部署(0.否，1.是)
     * @param distribute
     */
    public DeviceModuleDistributeQuery distribute(Integer distribute){
        setDistribute(distribute);
        return this;
    }

    /**
     * 设置 开始 是否部署(0.否，1.是)
     * @param distributeStart
     */
    public DeviceModuleDistributeQuery distributeStart(Integer distributeStart){
        this.distributeStart = distributeStart;
        return this;
    }

    /**
     * 设置 结束 是否部署(0.否，1.是)
     * @param distributeEnd
     */
    public DeviceModuleDistributeQuery distributeEnd(Integer distributeEnd){
        this.distributeEnd = distributeEnd;
        return this;
    }

    /**
     * 设置 增加 是否部署(0.否，1.是)
     * @param distributeIncrement
     */
    public DeviceModuleDistributeQuery distributeIncrement(Integer distributeIncrement){
        this.distributeIncrement = distributeIncrement;
        return this;
    }

    /**
     * 设置 是否部署(0.否，1.是)
     * @param distributeList
     */
    public DeviceModuleDistributeQuery distributeList(List<Integer> distributeList){
        this.distributeList = distributeList;
        return this;
    }

    /**
     * 设置 是否部署(0.否，1.是)
     * @param distributeNotList
     */
    public DeviceModuleDistributeQuery distributeNotList(List<Integer> distributeNotList){
        this.distributeNotList = distributeNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DeviceModuleDistributeQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DeviceModuleDistributeQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DeviceModuleDistributeQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DeviceModuleDistributeQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DeviceModuleDistributeQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public DeviceModuleDistributeQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  站点Id，来源基础服务平台
     * @param siteId
     */
    public DeviceModuleDistributeQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id，来源基础服务平台
     * @param siteIdStart
     */
    public DeviceModuleDistributeQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id，来源基础服务平台
     * @param siteIdEnd
     */
    public DeviceModuleDistributeQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id，来源基础服务平台
     * @param siteIdIncrement
     */
    public DeviceModuleDistributeQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdList
     */
    public DeviceModuleDistributeQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdNotList
     */
    public DeviceModuleDistributeQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCode
     */
    public DeviceModuleDistributeQuery siteCode(String siteCode){
        setSiteCode(siteCode);
        return this;
    }

    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCodeList
     */
    public DeviceModuleDistributeQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public DeviceModuleDistributeQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public DeviceModuleDistributeQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeviceModuleDistributeQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeviceModuleDistributeQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeviceModuleDistributeQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeviceModuleDistributeQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}